--- title: "Remove Group Owner" slug: "remove-group-owner" updated: 2026-09-03T14:50:33Z published: 2026-09-03T14:50:33Z canonical: "developer.rocket.chat/remove-group-owner" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Remove Group Owner Post/api/v1/groups.removeOwner Remove the `owner` role from a user in a private channel. Permission required: `set-owner` ### Changelog | Version | Description | | --- | --- | | 0.49.4 | Added | Header parametersX-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f X-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ Body parametersSuccess ```json { "roomId": "ByehQjC44FwMeiLbX", "userId": "oCHkav5Zf6vmpu2W2" } ``` object roomIdstring Required The private group ID. You can find the IDs by using any of the following endpoints: - [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them. - [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of. ExampleByehQjC44FwMeiLbX userIdstring Required The ID of the user to be removed as owner ExampleoCHkav5Zf6vmpu2W2 Responses200 OK Success ```json { "success": true } ``` object successboolean 400 Bad Request Example 1 ```json { "success": false, "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]", "errorType": "error-room-param-not-provided" } ``` Example 2 ```json { "success": false, "error": "The required \"userId\" or \"username\" param was not provided [error-user-param-not-provided]", "errorType": "error-user-param-not-provided" } ``` object successboolean errorstring errorTypestring 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring